%global module flask
%global srcname Flask

%bcond_with docs

Name:           python-%{module}
Version:        2.0.2
Release:        %mkrel 1
Summary:        A micro-framework for Python based on Werkzeug, Jinja 2 and good intentions

Group:          Development/Python
License:        BSD
URL:            http://flask.pocoo.org/
Source0:        %{srcname}-%{version}.tar.xz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-jinja2
BuildRequires:  python3-werkzeug
BuildRequires:  python3-itsdangerous
BuildRequires:  python3-click

%description
Flask is called a “micro-framework” because the idea to keep the core
simple but extensible. There is no database abstraction layer, no form
validation or anything else where different libraries already exist
that can handle that. However Flask knows the concept of extensions
that can add this functionality into your application as if it was
implemented in Flask itself. There are currently extensions for object
relational mappers, form validation, upload handling, various open
authentication technologies and more.

%package -n python3-%{module}
Summary:        A micro-framework for Python3 based on Werkzeug & Jinja 2
Group:          Development/Python
Requires:       python3-jinja2
Requires:       python3-werkzeug
Requires:       python3-itsdangerous
Requires:       python3-click

%description -n python3-%{module}
Flask is called a “micro-framework” because the idea to keep the core
simple but extensible. There is no database abstraction layer, no form
validation or anything else where different libraries already exist
that can handle that. However Flask knows the concept of extensions
that can add this functionality into your application as if it was
implemented in Flask itself. There are currently extensions for object
relational mappers, form validation, upload handling, various open
authentication technologies and more.

Python 3 version.

%prep
%setup -qn %{srcname}-%{version}
rm -rf examples/flaskr/
rm -rf examples/minitwit/

%build
%py3_build

%if %{with docs}
PYTHONPATH=`pwd` sphinx-build -b html docs/ docs/_build/html/
rm -rf docs/_build/html/{.buildinfo,.doctrees}
%endif

%install
%py3_install
%py_byte_compile %{__python3} %{buildroot}%{python3_sitelib}
mv %{buildroot}%{_bindir}/%{module}{,-%{python3_version}}
ln -s %{module}-%{python3_version} %{buildroot}%{_bindir}/%{module}-3
ln -sf %{module}-3 %{buildroot}%{_bindir}/%{module}

%files -n python3-%{module}
%doc CHANGES* README* LICENSE*
%{_bindir}/%{module}*
%{python3_sitelib}/*

%changelog
* Thu Aug 18 2022 TerryN <terryn94 at gmail.com> 2.0.2-1pclos2022
- update and rebuild for python 3.10

* Wed Apr 18 2018 marcin82 <fixxer1982 at gmail.com> 0.12.2-2pclos2018
- rebuild with python 3.6.5

* Tue Aug 22 2017 bb2 <bb2> - 0.12.2-1pclos2017
- new
